if (NOT EXISTS "${QT_SOURCE_DIR}/qtfeedback")
  EXECUTE_PROCESS(
    WORKING_DIRECTORY "${QT_SOURCE_DIR}"
    COMMAND sh -c "dget https://launchpad.net/ubuntu/+archive/primary/+files/qtfeedback-opensource-src_5.0~git20130529-0ubuntu11.dsc \\
                   && mv qtfeedback-opensource-src-* qtfeedback"
    RESULT_VARIABLE command_result
  )

  if (NOT ${command_result} EQUAL 0)
    message(SEND_ERROR "Fetching qtfeedback failed")
  endif()
endif()

if (NOT EXISTS "${QT_SOURCE_DIR}/qtpim")
  EXECUTE_PROCESS(
    WORKING_DIRECTORY "${QT_SOURCE_DIR}"
    COMMAND sh -c "dget https://launchpad.net/ubuntu/+archive/primary/+files/qtpim-opensource-src_5.0~git20140515~29475884-0ubuntu11.dsc \\
                   && mv qtpim-opensource-src-* qtpim"
    RESULT_VARIABLE command_result
  )

  if (NOT ${command_result} EQUAL 0)
    message(SEND_ERROR "Fetching qtpim failed")
  endif()
endif()

if (NOT EXISTS "${QT_SOURCE_DIR}/ubuntu-sdk")
  EXECUTE_PROCESS(
    WORKING_DIRECTORY "${QT_SOURCE_DIR}"
    COMMAND sh -c "bzr branch lp:ubuntu-ui-toolkit/staging ubuntu-sdk -Ossl.cert_reqs=none \\
                   && echo \"addModule(ubuntu-sdk,qtdeclarative qtfeedback qtpim)\" >>  qt.pro \\
                   && mkdir -p ubuntu-sdk/.git"
    RESULT_VARIABLE command_result
  )
  if (NOT ${command_result} EQUAL 0)
    message(SEND_ERROR "Fetching ubuntu-sdk failed")
  endif()
endif()

EXECUTE_PROCESS(
  WORKING_DIRECTORY "${QT_SOURCE_DIR}"
  COMMAND sh -c "for i in $(ls -d qt*/); do mkdir -p $i/.git; done"
  RESULT_VARIABLE command_result
)

if (NOT ${command_result} EQUAL 0)
  message(SEND_ERROR "Enabling git build failed")
endif()
